
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Linux系统中可执行文件格式 / iVAN</title>

    <meta name="description" content="Linux系统中可执行文件格式 我们知道Linux环境下不是所有的二进制文件都有相同的格式,Linux系统使用二进制文件的处理程序来实现对不同二进制格式文件的分别处理.二进制处理程序通过内嵌在文件开头的&quot;特征序列&quot;(一个特殊的字节序列)来识别文件,有时也会通过文件名的一些特征,例如ELF文件以'E''L''F'字符开头,Java文件以0xcafebabe开始前四个字节. Linux用sys_execve装入可执行二进制文件. 1.当前Linux版本(2.2)提供以下几种二进制文件处理程序: • a.out: ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Linux系统中可执行文件格式</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>我们知道Linux环境下不是所有的二进制文件都有相同的格式，Linux系统使用二进制文件的处理程序来实现对不同二进制格式文件的分别处理。二进制处理程序通过内嵌在文件开头的“特征序列”（一个特殊的字节序列）来识别文件，有时也会通过文件名的一些特征，例如ELF文件以’E’’L’’F’字符开头，Java文件以0xcafebabe开始前四个字节。</p>
<p>Linux用sys_execve装入可执行二进制文件。</p>
<p>1.当前Linux版本（2.2）提供以下几种二进制文件处理程序：</p>
<p>• a.out:主要时为了和以前兼容，因为a.out很难实现动态链接，以被ELF所取。</p>
<p>• ELF：现在主流的Linux二进制文件。尽管如此，她一样要和其他格式一样需要使用二进制处理程序。</p>
<p>• EM86：主要作用是在Alpha的主机上运行Intel的Linux二进制文件，仿佛他们就是Alpha的本地二进制文件。</p>
<p>• Java:通过以.class文件的文件名为参数，处理程序返回执行字节码的解释程序。</p>
<p>• Misc:最明智的二进制处理程序的方法。她通过内嵌的特征数字或文件名后缀识别二进制格式。另外她可以运行期配置，而不是只能在编译期配置，这样，你就可以在增加新二进制格式文件的支持而不用重新编译内核。有说将用她取代Java和EM86二进制处理程序。</p>
<p>• 脚本：主要支持shell脚本、Perl脚本，宽松一点说，所有前面两个字符是＃！的可执行文件都由她来处理。</p>
<p>在继续向下介绍之前，我们必须先来认识一个数据结构linux_binfmt;</p>
<p><code>struct linux_binfmt{<br />
struct linux_binfmt * next;<br />
long *use_count;<br />
int (*load_binary)(struct linux_binprm *,struct pt_regs *regs);<br />
int (*load_shlib)(int fd);<br />
int (*core_dump)(long signr,struct pt_regs *regs);<br />
};</code></p>
<p>在linux_binfmt中包含两个重要指向函数的指针，load_binary装入可执行代码，load_shlib装入共享库。Core_dump是个转储函数指针。</p>
<p>很显然，由next构成一个链表，表头则由formats指向：</p>
<p><code>static struct linux_binfmt *formats=(struct linux_binfmt *)NULL;</code></p>
<p>系统为每个不同的文件格式定义了一个相应的对象:</p>
<p><code>static struct linux_binfmt elf_format;<br />
static struct linux_binfmt java_format;<br />
static struct linux_binfmt em86_format;<br />
……</code></p>
<p>linux_binfmt的链表(由formats指向)则就是由这些不同的文件格式的linux_binfmt构成的一个链表。而对不同格式二进制文件的处理程序则通过注册在相应的linux_binfmt中的函数来实行，实际这里已经使用了面向对象的思想，而这种情况在Linux的内核源码中经常可以看到。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 07:38:39</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e5%a4%84%e7%90%86/" title="处理">处理</a>, <a href="https://www.iamivan.net/tag/%e7%a8%8b%e5%ba%8f/" title="程序">程序</a>, <a href="https://www.iamivan.net/tag/%e4%ba%8c%e8%bf%9b%e5%88%b6/" title="二进制">二进制</a>, <a href="https://www.iamivan.net/tag/%e6%a0%bc%e5%bc%8f/" title="格式">格式</a>, <a href="https://www.iamivan.net/tag/struct/" title="struct">struct</a>, <a href="https://www.iamivan.net/tag/%e4%ba%8c%e8%bf%9b%e5%88%b6%e6%96%87%e4%bb%b6/" title="二进制文件">二进制文件</a>, <a href="https://www.iamivan.net/tag/linux%e5%8f%af%e6%89%a7%e8%a1%8c%e6%96%87%e4%bb%b6/" title="linux可执行文件">linux可执行文件</a>, <a href="https://www.iamivan.net/tag/class-struct-%e9%93%be%e8%a1%a8/" title="class struct 链表">class struct 链表</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Linux系统中可执行文件格式的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0PVwJM.html" rel="bookmark">Linux系统中保存可执行文件的执行结果</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Linux操作系统上编译测试脚本文件或者应用程序的时候,往往需要不满足只是将结果输出到屏幕上,而是希望能够将运行结果.错误信息.警告信息等等保存在一个文件中,以方便系统管理员进行分析与调整.虽然这也可以通过屏幕截屏或者屏幕录像来完成,但是这得到的结果处理起来很不方便.如不方便查询.不能够过滤等等.为了解决这个问题,在Linux系统中提供了一个重定向的工具.在编程调试的过程中,可以利用重定向操作来存储可执行文件的输出结果. 一.将输入输出分别重定向到不同的文件. 在程序调试时,屏幕上的信息大致可			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOwo8qz.html" rel="bookmark">Linux系统中的usr目录有哪些</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Linux 系统文件结构中,有这么一个神奇的目录那就是usr.之前一直都没有去关注过它,反正程序已经安装在里面,我也不知道有什么用就放在哪里了,后来 fedora 要简化整个文件系统体系,这才看到才想到它的存在,usr 到底是什么的缩写呢,它又是怎么来的呢?这里小编要给你们讲述的是Linux系统中的usr目录,下面也列举了usr目录下一些重要子目录所包含文件的功能,有需要的网友可以参考学习下. 1.usr 是 unix system resources 的缩写; 2.usr 是 user 的缩写			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M91oEkM.html" rel="bookmark">Linux系统中的文件名和文件种类以及文件权限详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  Linux文件种类与副文件名 一直强调一个概念,那就是:任何装置在Linux底下都是文件, 不仅如此,连资料沟通的介面也有专属的文件在负责-所以,你会瞭解到,Linux的文件种类真的很多- 除了前面提到的一般文件(-)与目录文件(d)之外,还有哪些种类的文件呢? * 文件种类: 我们在刚刚提到使用'ls -l'观察到第一栏那十个字元中,第一个字元为文件的类型. 除了常见的一般文件(-)与目录文件(d)之外,还有哪些种类的文件类型呢? * 正规文件(regular file ): 就是一般我们			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgK7V1M.html" rel="bookmark">Linux系统中的文件类型及文件扩展名详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  Linux文件类型和Linux文件的文件名所代表的意义是两个不同的概念.我们通过一般应用程序而创建的比如file.txt.file.tar.gz ,这些文件虽然要用不同的程序来打开,但放在Linux文件类型中衡量的话,大多是常规文件(也被称为普通文件). 一. 文件类型 Linux文件类型常见的有:普通文件.目录文件.字符设备文件和块设备文件.符号链接文件等,现在我们进行一个简要的说明. 1. 普通文件 我们用 ls -lh 来查看某个文件的属性,可以看到有类似-rwxrwxrwx,值得注意			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV05AVM.html" rel="bookmark">linux系统中ls命令的用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				普通文件: -,f目录文件: d链接文件(符号链接): L设备文件:字符设备:c块设备:b命名管道: p套接字文件: s linux文件时间戳 时间分为三种类型:创建时间,修改时间:open访问时间:读写改变时间:源数据发生改变时间   4. ls -s 在每个文件的后面打印出文件的大小. size(大小,以K为单位)5. ls -t 按时间进行文件的排序 Time(时间)6. ls -A 列出除了&quot;.&quot;和&quot;..&quot;以外的文件.7. ls -R 将目录下所有的子目录的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zemQZ0z.html" rel="bookmark">详解Linux系统中的文件名和文件种类以及文件权限</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Linux文件种类与副文件名 一直强调一个概念,那就是:任何装置在Linux底下都是文件, 不仅如此,连资料沟通的介面也有专属的文件在负责-所以,你会?解到,Linux的文件种类真的很多- 除了前面提到的一般文件(-)与目录文件(d)之外,还有哪些种类的文件呢? * 文件种类: 我们在刚刚提到使用'ls -l'观察到第一栏那十个字元中,第一个字元为文件的类型. 除了常见的一般文件(-)与目录文件(d)之外,还有哪些种类的文件类型呢? * 正规文件(regular file ):       就是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvvVw8M.html" rel="bookmark">Linux系统中&OpenCurlyDoubleQuote;动态库&rdquo;和&OpenCurlyDoubleQuote;静态库&rdquo;那点事儿【转】</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转自:http://blog.chinaunix.net/uid-23069658-id-3142046.html 今天我们主要来说说Linux系统下基于动态库(.so)和静态(.a)的程序那些猫腻.在这之前,我们需要了解一下源代码到可执行程序之间到底发生了什么神奇而美妙的事情.       在Linux操作系统中,普遍使用ELF格式作为可执行程序或者程序生成过程中的中间格式.ELF(Executable and Linking Format,可执行连接格式)是UNIX系统实验室(USL)作为应			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPNQ1rb.html" rel="bookmark">深入解析Linux系统中的SELinux访问控制功能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  SELinux(Security-Enhanced Linux) 是美国国家安全局(NSA)对于强制访问控制的实现,是 Linux历史上最杰出的新安全子系统.NSA是在Linux社区的帮助下开发了一种访问控制体系,在这种访问控制体系的限制下,进程只能访问那些在他的任务中所需要文件.SELinux 默认安装在 Fedora 和 Red Hat Enterprise Linux 上,也可以作为其他发行版上容易安装的包得到. SELinux 是 2.6 版本的 Linux 内核中提供的强制访问控制			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MY2WJrp.html" rel="bookmark">Linux系统中管理用户和用户组的相关配置文件简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  Linux 是一个多用户.多任务的操作系统,理解Linux的单用户多任务,多用户多任务; 用户的角色区分: 用户在系统中是分角色的,在Linux 系统中,由于角色不同,权限和所完成的任务也不同;值得注意的是用户的角色是通过UID和识别的,特别是UID;在系统管理中,系统管理员一定要坚守UID 唯一的特性; root 用户:系统唯一,是真实的,可以登录系统,可以操作系统任何文件和命令,拥有最高权限; 虚拟用户:这类用户也被称之为伪用户或假用户,与真实用户区分开来,这类用户不具有登录系统的能力,			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMy1WEM.html" rel="bookmark" class="title">Photoshop打造超可爱小熊猫</a>
					<div>
						先看一下效果: 最终效果:					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4xZqz.html" rel="bookmark" class="title">根据模板文件建立动态目录树结构的类</a>
					<div>
						动态|模板 根据模板文件建立动态目录树结构的类:建议入精华备查,有演示&lt;br&gt;演示地址:http://www.cnaspol.com/myasp/mmtree/treesample.asp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NYewz.html" rel="bookmark" class="title">披着UMP皮的C7-M 汉王T700 UMPC</a>
					<div>
						&quot;科技改变生活&quot;,在刚刚过去的2006年中,推陈出新的UMPC产品让我们感受到了这句话的意义.眼下,原本热闹的UMPC市场又多了一员,这就是汉王科技携手威盛.微软发布的T700.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZO9awb.html" rel="bookmark" class="title">Win8不能上网 驱动重新安装的问题</a>
					<div>
						Win8消费者预览版安装好了,不少朋友遇到了不能联网的问题,这个问题很大程度上是因为网卡驱动问题所致,以下提供一个简单方法来解决这个问题. 第一是获取自己网卡的驱动,第二是卸载Win8自动安装的驱动并 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1RW1Kp.html" rel="bookmark" class="title">加减乘除符号的快速输入</a>
					<div>
						数学老师制作试卷时,常常需要在试卷里插入加减乘除等符号,加号和减号可以用键盘直接输入,但乘号和除号就不方便输入了,那怎样才能输入乘号和除号呢? 一.可以通过&quot;插入--符号&quot;菜单,选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6xJgz.html" rel="bookmark" class="title">php采集自中央气象台范围覆盖全国的天气预报代码实例</a>
					<div>
						 这篇文章主要介绍了php采集自中央气象台范围覆盖全国的天气预报代码实例,较为详细的分析了采集的技巧及对应接口的调用技巧,具有一定参考借鉴价值,需要的朋友可以参考下     本文实例讲述了php采集自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJZn6p.html" rel="bookmark" class="title">UI设计中的简约之美</a>
					<div>
						  不需要华丽的外表,不需要繁琐的装饰,不像游戏UI有华丽的皮肤装饰,绚丽的动画效果,看似很简单的应用UI,其实它更能够给用户带来一个视觉上的舒适感,和长期的耐看程度.同时也考验着设计师视觉设计能力, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oEVmb.html" rel="bookmark" class="title">Photoshop给空地上的美女加上甜美的粉绿色</a>
					<div>
						  素材图片主色为黄绿色,调色的时候只需要把主色转为绿色,可以保留树叶部分的橙黄色,然后把绿色调淡,整体颜色调柔和即可. 原图 最终效果 1.打开素材图片,创建可选颜色调整图层,对黄,绿进行调整,参数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8VaZb.html" rel="bookmark" class="title">Win7系统假死机现象的解决技巧</a>
					<div>
						  大家都知道尽管Win 7系统功能强大.兼容性良好,不过该系统仍然存在一些小问题,如果对这些问题不加重视,可能会造成系统频繁假死.为了保证工作效率,我们有必要及时采取措施,解救频繁假死的Win 7系 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnY5PkM.html" rel="bookmark" class="title">如何设置麦克风加强</a>
					<div>
						  一.Windows XP下 1.鼠标指向右下角状态栏音量图标单击右键,在弹出的菜单中点选&quot;调整音频属性&quot;; 2.在弹出的&quot;声音和音频设备属性&quot;对话框中,点选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7mgjz.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;学生上网狗&rdquo;能否领军教育信息化市场</a>
					<div>
						本文讲的是&quot;学生上网狗&quot;能否领军教育信息化市场,教育被称为&quot;中国最后一个信息化市场&quot;,因为教育信息化市场规模庞大,增长潜力高,投资回报稳定. 一.学生上网狗拥有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQEKdp.html" rel="bookmark" class="title">IOS UITextField 使用与方法解读</a>
					<div>
						UITextField是IOS开发中用户交互中重要的一个控件,常被用来做账号密码框,输入信息框等. 初始化一个文字框: ? 1 UITextField * textField = [[UITextFi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4N571M.html" rel="bookmark" class="title">typedef-新手第一次尝试数据结构，有如下问题不知如何解决，求大神支援！！！</a>
					<div>
						问题描述 新手第一次尝试数据结构,有如下问题不知如何解决,求大神支援!!! 这是我的代码:#include ?#include #include #define false 0#define true ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxG08b.html" rel="bookmark" class="title">RESPONSE IO流的方式下载，大文件如何处理，求教！</a>
					<div>
						问题描述 代码如下:publicvoiddownFILE(Stringdest,OutputStreamos){FileInputStreamfis=null;try{fis=newFileInput ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7gR2z.html" rel="bookmark" class="title">User select font-face&sol;color&sol;size&sol;backgroundColor设置 字体，颜色，大小，背景色兼容主流浏览器</a>
					<div>
						&lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http://www.w3.org/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKJ4gb.html" rel="bookmark" class="title">vs2010 session丢失问题</a>
					<div>
						问题描述 最近写项目时发现一个问题:a.aspx页面:Session[&quot;a&quot;]=&quot;123&quot;;b.aspx页面取Session[&quot;a&quot;]为空: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Z6XOM.html" rel="bookmark" class="title">为设计师写的色彩对比指南，让你真正了解色彩对比</a>
					<div>
						本文摘要 一.色彩对比的基础知识 1.色相对比 (1)互补色对比 (2)邻近色对比 (3)对比色对比 (4)零度对比 2.明暗对比 3.纯度对比 二.如何选择最佳的色彩搭配 三.每位设计师还需知道的  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBQVDb.html" rel="bookmark" class="title">光伏业&OpenCurlyDoubleQuote;赢了面子 输了里子&rdquo;？</a>
					<div>
						在关系到安身立命的大问题上,光伏业却正表现得有些乏善可陈. 来自国家统计局的数据显示,今年前7个月份,全国太阳能发电量211.0亿千瓦时,增长27.5%.而与之形成对比的是,风电则已经超越核电,稳坐新 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWW10eM.html" rel="bookmark" class="title">【算法】PHP实现经典算法&lpar;下&rpar;</a>
					<div>
						前言 前几天,我们通过PHP实现了不同的排序算法,并比较算法对应的耗时. [算法]PHP实现经典算法(上) 下面我们来实现下列算法 堆排序 鸡尾酒排序 直接选择排序 计数排序 CODE $arr =  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xDDrb.html" rel="bookmark" class="title">android-support-v4&period;jar关联源码</a>
					<div>
						android-support-v4.jar包在libs目录下,关联源代码的方法: ①在android-support-v4.jar相同的路径下新建一个&quot;.properties&quot;文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx2Pajz.html" rel="bookmark" class="title">《Total Commander：万能文件管理器》&mdash;&mdash;12&period;5&period;每个人的TC</a>
					<div>
						12.5.每个人的TC 每个人的基础.需求.理解力.乃至性格都有不同,所以学习和应用TC的起点.过程.终点都会不同.别人的经验和方法可供参考,任何教程只是入门与借鉴,最重要的是思考和研究.也就是说,终 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk703yp.html" rel="bookmark" class="title">点击进入亚马逊麦博M700U2&period;1音箱</a>
					<div>
						麦博M700U是一款多功能的2.1音箱,其箱体设计时尚,功能丰富,并且同时支持按键和遥控组合操作.这款音箱了弧面高光设计的前面板,按键和旋钮都隐藏在前面板上,并且前置SD卡槽和USB接口,操作起来十分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrvy6vM.html" rel="bookmark" class="title">云计算六大热门话题 大数据分析居首</a>
					<div>
						       这些热门话题可能还不是最热的,但是2012年已经技术,兴趣点开始升温,一些云计算问题和主旨我们将要在2013年来面对. 大数据分析 今年已经证实了大数据的能量以及其能为企业带来的具有竞争 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyKPakz.html" rel="bookmark" class="title">SpringMVC 中 返回JSON 数据</a>
					<div>
						前台发一个post请求 后台用controller接住,一定要用 @ResponseBody的注解才行. jackson需要jar包.rar 下载jar包之后,导入其中的三个即可 这样后台直接返回集合 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjo1qmM.html" rel="bookmark" class="title">开发商被指拖欠工程款讨薪民工与保安冲突</a>
					<div>
						昨天上午8点左右,南京江宁区一处楼盘前发生冲突,几十名工人与头戴钢盔手持盾牌的&quot;全副武装&quot;的开发商保安发生肢体接触,结果七八名工人受伤被送医院,也有保安在冲突中受伤.记者接报前去采 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1Daxxb.html" rel="bookmark" class="title">天津七成软件企业聚集滨海</a>
					<div>
						(记者吴巧君)投资2亿美元的华旗资讯(爱国者)北方运营总部和数码产品研发及制造基地.一期投资逾6亿元的腾讯天津数据中心.投资50亿元的中兴天津产业基地--一个个重点软件企业近年来相继落户天津,并不约而 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zend4xb.html" rel="bookmark" class="title">索尼移动在华裁员或超七百人 否认退出中国</a>
					<div>
						新浪科技讯 11月5日消息,就在索尼移动中国员工拉横幅抗议遭遇&quot;暴力裁员&quot;之际,知情人士透露,此次索尼移动在华裁员的数量可能多达七八百人,占索尼移动http://www.aliyu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zendv9b.html" rel="bookmark" class="title">《奇点临近》奇点和六大纪元</a>
					<div>
						&quot;我认为没有任何一种对人类心灵的冲击能够比得上一位发明家亲眼看到自己的脑力创作变成现实&quot; ---尼古拉·特斯拉 思想的力量,一个人拥有独立的思想是多么的重要. 奇点 奇点是未来的某 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOWgLxz.html" rel="bookmark" class="title">集成实时通话后外放会有刺耳的杂音</a>
					<div>
						问题描述 如题,实时通话和视频通话一样,外放就有很大的杂音,不外发偶尔也会有,是因为用的模拟器的问题吗?试过用两台真机测试也有这个问题,系统版本都是ios9.1的,直接用的是CallViewContr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPWq3DM.html" rel="bookmark" class="title">Java NIO系列教程（二） Channel</a>
					<div>
						Java NIO的通道类似流,但又有些不同: 既可以从通道中读取数据,又可以写数据到通道.但流的读写通常是单向的. 通道可以异步地读写. 通道中的数据总是要先读到一个Buffer,或者总是要从一个Bu ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
